tor: deleted unmaintained port

This commit is contained in:
Tim Biermann 2020-01-20 16:04:55 +00:00
parent aa9d8df1a9
commit 93c72185e1
Signed by: tb
GPG Key ID: 42F8B4E30B673606
6 changed files with 0 additions and 218 deletions

View File

@ -1,35 +0,0 @@
drwxr-xr-x root/root etc/
drwxr-xr-x root/root etc/rc.d/
-rwxr-x--- root/root etc/rc.d/tor
drwxr-xr-x root/root etc/tor/
-rw-r----- root/tor etc/tor/torrc
drwxr-xr-x root/root usr/
drwxr-xr-x root/root usr/bin/
-rwxr-x--- root/tor usr/bin/tor
-rwxr-x--- root/tor usr/bin/tor-gencert
-rwxr-x--- root/tor usr/bin/tor-print-ed-signing-cert
-rwxr-x--- root/tor usr/bin/tor-resolve
-rwxr-x--- root/tor usr/bin/torify
drwxr-xr-x root/root usr/share/
drwxr-xr-x root/root usr/share/man/
drwxr-xr-x root/root usr/share/man/man1/
-rw-r--r-- root/root usr/share/man/man1/tor-gencert.1.gz
-rw-r--r-- root/root usr/share/man/man1/tor-print-ed-signing-cert.1.gz
-rw-r--r-- root/root usr/share/man/man1/tor-resolve.1.gz
-rw-r--r-- root/root usr/share/man/man1/tor.1.gz
-rw-r--r-- root/root usr/share/man/man1/torify.1.gz
drwxr-xr-x root/root usr/share/tor/
-rw-r--r-- root/root usr/share/tor/geoip
-rw-r--r-- root/root usr/share/tor/geoip6
drwxr-xr-x root/root var/
drwxr-xr-x root/root var/lib/
drwxr-xr-x tor/tor var/lib/tor/
-rw------- tor/tor var/lib/tor/cached-certs (EMPTY)
-rw------- tor/tor var/lib/tor/cached-consensus (EMPTY)
-rw------- tor/tor var/lib/tor/cached-descriptors (EMPTY)
-rw------- tor/tor var/lib/tor/cached-descriptors.new (EMPTY)
-rw------- tor/tor var/lib/tor/cached-routers.new (EMPTY)
-rw------- tor/tor var/lib/tor/state (EMPTY)
drwxr-xr-x root/root var/log/
drwxr-xr-x tor/tor var/log/tor/
-rw-r----- tor/tor var/log/tor/notices.log (EMPTY)

View File

@ -1,6 +0,0 @@
untrusted comment: verify with /etc/ports/contrib.pub
RWSagIOpLGJF32kpM9e5CcPbQhW+nrNqUjSSbYhMdOXRHXDNvDICz2CmC2HkIMxaGixwdpNoQsT57PLWymESoNwO7OE89A3AWAk=
SHA256 (Pkgfile) = 82b83a21afdfe3f344599e4e494767f3f62d74a8c89afe9828e981b18c90e9d1
SHA256 (.footprint) = 27c535ef0687650f831351643902322a449c441b01bcfb811a2521509fecb800
SHA256 (tor-0.4.0.5.tar.gz) = b5a2cbf0dcd3f1df2675dbd5ec10bbe6f8ae995c41b68cebe2bc95bffc90696e
SHA256 (tor.rc) = 0876c5addd85633c135a0e4c167643fb0708dc469662c256f4cefc1fd96e8b89

View File

@ -1,66 +0,0 @@
# Description: Tor is a anonymous network and proxy
# URL: http://www.torproject.org/
# Maintainer: unmaintained
# Depends on: libevent openssl zlib
name=tor
version=0.4.0.5
release=1
source=(https://www.torproject.org/dist/tor-$version.tar.gz
tor.rc)
build() {
cd $name-$version
# fix for find: The relative path `~/bin' is included in the PATH
# environment variable, which is insecure in combination with the
# -execdir action of find. Please remove that entry from $PATH
PATH=$(echo ${PATH} | awk -v RS=: -v ORS=: '/~/ {next} {print}' | sed 's/:*$//')
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir="/var" \
--enable-system-torrc \
--disable-libfuzzer \
--disable-rust
make
make DESTDIR=$PKG install
# data
install -d $PKG/var/lib/tor
chown tor:tor $PKG/var/lib/tor
touch \
$PKG/var/lib/tor/cached-certs \
$PKG/var/lib/tor/cached-consensus \
$PKG/var/lib/tor/cached-descriptors \
$PKG/var/lib/tor/cached-descriptors.new \
$PKG/var/lib/tor/cached-routers.new \
$PKG/var/lib/tor/state
find $PKG/var/lib/tor/ -type f -execdir chown tor:tor {} \; -execdir chmod 0600 {} \;
# configuration
mv $PKG/etc/tor/torrc.sample $PKG/etc/tor/torrc
sed -i -e 's|^#RunAsDaemon 1$|RunAsDaemon 1|' \
-e 's|^#Log notice file /|Log notice file /|' \
-e 's|^#DataDirectory /|DataDirectory /|' \
$PKG/etc/tor/torrc
find $PKG/etc/tor/ -type f -exec chown root:tor {} \; -execdir chmod 0640 {} \;
# programs
find $PKG/usr/bin -type f -execdir chown root:tor {} \; -execdir chmod 0750 {} \;
# logs
install -d $PKG/var/log/tor
chown tor:tor $PKG/var/log/tor
touch $PKG/var/log/tor/notices.log
find $PKG/var/log/tor/ -type f -exec chown tor:tor {} \; -execdir chmod 0640 {} \;
# service
install -m 0750 -D $SRC/tor.rc $PKG/etc/rc.d/tor
# docs
rm -r $PKG/usr/share/doc
}

View File

@ -1,22 +0,0 @@
README for tor
PRECAUTION
Make sure you edit /etc/pkgadd.conf and add the following line.
UPGRADE ^var/lib/tor/.*$ NO
UPGRADE ^etc/tor/torrc$ NO
Failure to do so will result in the loss of your tor data and
configuration upon update!
If you edit the torrc file for extra logging, make sure you:
chmod 0640 /var/log/tor/* files, for security reasons.
PRE-INSTALL
Tor expects to have a user and group dedicated to it, a
pre-install script has been added to the port which takes
care of this.
NOTES
Please edit /etc/tor/torrc and add "tor" to the SERVICES
array in /etc/rc.conf

View File

@ -1,42 +0,0 @@
#!/bin/sh
# Created by Danny Rawlins, <romster at shortcircuit dot net dot au>
GROUP=tor
USER=tor
USER_COMMENT="Tor Daemon"
USER_HOME=/var/empty
USER_SHELL=/bin/sh
if [ ! $(id -u) = 0 ]; then
echo "ERROR: you need to be root to run this!"
exit 1
fi
if [ $GROUP ]; then
if ! getent group $GROUP > /dev/null; then
/usr/sbin/groupadd $GROUP
if [ $? -eq 0 ]; then
echo "Group: $GROUP added."
fi
else
echo "Group: $GROUP already exists! Skipping."
fi
fi
if ! getent passwd $USER > /dev/null; then
/usr/sbin/useradd -g $GROUP -c "$USER_COMMENT" -d $USER_HOME -s $USER_SHELL $USER
if [ $? -eq 0 ]; then
echo "User: $USER added."
/usr/bin/passwd -l $USER > /dev/null
if [ $? -eq 0 ]; then
echo "Locked: $USER account."
fi
else
echo "ERROR: unable to lock $USER account."
/usr/sbin/userdel $USER
fi
else
echo "User: $USER already exists! Skipping."
fi

View File

@ -1,47 +0,0 @@
#!/bin/sh
#
# /etc/rc.d/tor: start/stop tor daemon
#
# User settings here
DAEMON=tor
RUN_AS_USER=tor
# Check for configuration files
[ -f /etc/tor/torrc ] || exit 1
# If you have to edit this section for this or any other
# port useage let me know, with a patch or added lines,
# or simplely e-mail me the altered file and I'll include the changes.
RETVAL=0
case $1 in
start)
echo -n "Starting $DAEMON..."
su $RUN_AS_USER -c /usr/bin/$DAEMON > /dev/null & RETVAL=$?
if [ $RETVAL = 0 ]; then
echo " done."
fi
;;
stop)
echo -n "Shutting down $DAEMON..."
killall -q /usr/bin/$DAEMON
RETVAL=$?
echo " done."
;;
restart)
$0 stop
sleep 5
$0 start
RETVAL=$?
;;
*)
echo "usage: $0 [start|stop|restart]"
exit 1
;;
esac
exit $RETVAL
# End of file